searchData={"items":[{"type":"module","title":"Auth0Ex","doc":"Auth0Ex is an API client that supports both authentication and management API of Auth0.\n\nAuth0Ex has been built to mostly satisfy the need for calling various management API\nfor the backend services.","ref":"Auth0Ex.html"},{"type":"module","title":"Auth0Ex.Api","doc":"The main API module supposed to be used by individual authentication and management API modules\n\nExample Usage would look something like below:\n\n    use Auth0Ex.Api\n    use Auth0Ex.Api, for: :mgmt","ref":"Auth0Ex.Api.html"},{"type":"module","title":"Auth0Ex.Authentication","doc":"A module with various functions related to authentication api for Auth0.\n\nUnlike the management API code, most of the authentication code\nsit in this module as it makes sense for management API given the\nresourceful nature of each object but as useful for Authentication APIs.","ref":"Auth0Ex.Authentication.html"},{"type":"function","title":"Auth0Ex.Authentication.change_password/3","doc":"Given a user's email address and a connection, Auth0 will send a change password email.\nThis endpoint only works for database connections.\n\nhttps://auth0.com/docs/api/authentication#change-password\n\n    iex> client_id = Application.get_env(:auth0_ex, :mgmt_client_id)\n    iex> connection = \"Username-Password-Authentication\"\n    iex> Auth0Ex.Authentication.change_password(client_id, \"samar@example.com\", connection)","ref":"Auth0Ex.Authentication.html#change_password/3"},{"type":"function","title":"Auth0Ex.Authentication.signup/5","doc":"Given a user's credentials, and a connection, this endpoint will create\na new user using active authentication. This endpoint only works for database connections.\n\nAPI Management https://auth0.com/docs/api/authentication#signup\n\nclient_id: is part of your configuration and you should get via `Application.get_env/2`\nconnection: is an auth0 concept; They list the following connections `database, social, enterprise, or passwordless connection`.\n\nA use case should be, we want to use the database connection to create new signup, the value for that connection is in the dashboard inside of `Connections -> Database` or at the URL `https://manage.auth0.com/dashboard/us/ /connections/database`.\n\nNOTE: The default name for the database connection is `Username-Password-Authentication`. You can create a new database connection instead.\n\n    iex> client_id = Application.get_env(:auth0_ex, :mgmt_client_id)\n    iex> connection = \"Username-Password-Authentication\"\n    iex> Auth0Ex.Authentication.signup(client_id, \"samar@example.com\", \"password\", connection, %{user_metadata: %{plan: \"silver\", team_id: \"a111\"}})","ref":"Auth0Ex.Authentication.html#signup/5"},{"type":"function","title":"Auth0Ex.Authentication.tokeninfo/1","doc":"This endpoint validates a JSON Web Token (signature and expiration) and returns the\nuser information associated with the user id sub property of the token.\n\n    iex> Auth0Ex.Authentication.tokeninfo(\"sample.id_token.here\")","ref":"Auth0Ex.Authentication.html#tokeninfo/1"},{"type":"function","title":"Auth0Ex.Authentication.userinfo/1","doc":"Given the Auth0 access token obtained during login, this endpoint returns a user's profile.\nThis endpoint will work only if `openid` was granted as a scope for the `access_token`.\n\n    iex> Auth0Ex.Authentication.userinfo(\"sample.access_token.here\")","ref":"Auth0Ex.Authentication.html#userinfo/1"},{"type":"module","title":"Auth0Ex.Authentication.Login","doc":"A module that handles login stuff for authentication API","ref":"Auth0Ex.Authentication.Login.html"},{"type":"function","title":"Auth0Ex.Authentication.Login.database/6","doc":"Given the user credentials and the connection specified, it will do the authentication\non the provider and return a JSON with the `access_token` and `id_token`.\n\nYou can pass optional parameters as a map in the last `params` argument.\n\nAn example params map would be:\n\n    %{scope: \"openid app_metadata\"}\n    %{device: \"ios\", id_token: \"id_token_touchid\"}\n\n\n    iex> Auth0Ex.Authentication.Login.database(\"client_id\", \"samar\", \"samarpwd\", \"dev\", \"password\")\n    iex> Auth0Ex.Authentication.Login.database(\"client_id\", \"samar\", \"samarpwd\", \"dev\", \"password\", %{scope: \"openid app_metadata\"})","ref":"Auth0Ex.Authentication.Login.html#database/6"},{"type":"function","title":"Auth0Ex.Authentication.Login.social/4","doc":"Given the social provider's access_token and the connection, this endpoint will authenticate\nthe user with the provider and return a JSON with the `access_token` and, optionally, an `id_token`.\nThis endpoint only works for Facebook, Google, Twitter and Weibo.\n\n    iex> Auth0Ex.Authentication.Login.social(\"client_id\", \"access_token\", \"facebook\")\n    iex> Auth0Ex.Authentication.Login.social(\"client_id\", \"access_token\", \"facebook\", \"openid profile email\")","ref":"Auth0Ex.Authentication.Login.html#social/4"},{"type":"module","title":"Auth0Ex.Authentication.Token","doc":"A moodule for getting tokens for authentication.\nThis is the module that gives you auth codes and client credentials.\n\nMore information at [this page](https://auth0.com/docs/api/authentication?http#get-token)","ref":"Auth0Ex.Authentication.Token.html"},{"type":"function","title":"Auth0Ex.Authentication.Token.auth_code/4","doc":"This is the OAuth 2.0 grant that regular web apps utilize in order to\naccess an API. Use this endpoint to exchange an Authorization Code for a Token.\n\n    iex> Auth0Ex.Authentication.Token.auth_code(\"client_id\", \"client_secret\", \"code\")\n    iex> Auth0Ex.Authentication.Token.auth_code(\"client_id\", \"client_secret\", \"code\", \"redirect_uri_here\")","ref":"Auth0Ex.Authentication.Token.html#auth_code/4"},{"type":"function","title":"Auth0Ex.Authentication.Token.auth_code_pkce/5","doc":"This is the OAuth 2.0 grant that mobile apps utilize in order to\naccess an API. Use this endpoint to exchange an Authorization Code for a Token.\n    iex> Auth0Ex.Authentication.Token.auth_code_pkce(\"client_id\", \"client_secret\", \"code\", \"code_verifier\")\n    iex> Auth0Ex.Authentication.Token.auth_code_pkce(\"client_id\", \"client_secret\", \"code\", \"code_verifier\", \"redirect_uri_here\")","ref":"Auth0Ex.Authentication.Token.html#auth_code_pkce/5"},{"type":"function","title":"Auth0Ex.Authentication.Token.client_credentials/3","doc":"This is the OAuth 2.0 grant that server processes utilize in order to access an API.\nUse this endpoint to directly request an access_token by using the Client Credentials\n(a Client Id and a Client Secret).\n\n    iex> Auth0Ex.Authentication.Token.client_credentials(\"client_id\", \"client_secret\", \"API_IDENTIFIER_aud\")","ref":"Auth0Ex.Authentication.Token.html#client_credentials/3"},{"type":"module","title":"Auth0Ex.Config","doc":"All of the configurations pertaining to `Auth0Ex`.","ref":"Auth0Ex.Config.html"},{"type":"function","title":"Auth0Ex.Config.domain/0","doc":"","ref":"Auth0Ex.Config.html#domain/0"},{"type":"function","title":"Auth0Ex.Config.http_opts/0","doc":"","ref":"Auth0Ex.Config.html#http_opts/0"},{"type":"function","title":"Auth0Ex.Config.mgmt_client_id/0","doc":"","ref":"Auth0Ex.Config.html#mgmt_client_id/0"},{"type":"function","title":"Auth0Ex.Config.mgmt_client_secret/0","doc":"","ref":"Auth0Ex.Config.html#mgmt_client_secret/0"},{"type":"function","title":"Auth0Ex.Config.mgmt_token/0","doc":"","ref":"Auth0Ex.Config.html#mgmt_token/0"},{"type":"function","title":"Auth0Ex.Config.user_agent/0","doc":"","ref":"Auth0Ex.Config.html#user_agent/0"},{"type":"module","title":"Auth0Ex.Management.Blacklist","doc":"A module representing blacklisted tokens on Auth0","ref":"Auth0Ex.Management.Blacklist.html"},{"type":"function","title":"Auth0Ex.Management.Blacklist.blacklist/1","doc":"Adds the token identified by the `jti` to a blacklist for the tenant.\n\n    iex> Auth0Ex.Management.Blacklist.blacklist(aud: \"some_aud\", jti: \"some_jti\")","ref":"Auth0Ex.Management.Blacklist.html#blacklist/1"},{"type":"function","title":"Auth0Ex.Management.Blacklist.get/1","doc":"Retrieves the `jti` and `aud` of all tokens in the blacklist.\n\n    iex> Auth0Ex.Management.Blacklist.get(\"some_aud\")","ref":"Auth0Ex.Management.Blacklist.html#get/1"},{"type":"module","title":"Auth0Ex.Management.Client","doc":"A module representing client on Auth0","ref":"Auth0Ex.Management.Client.html"},{"type":"function","title":"Auth0Ex.Management.Client.all/1","doc":"Gets all the clients\n\n    iex> Auth0Ex.Management.Client.all()\n    iex> Auth0Ex.Management.Client.all(fields: \"name,client_id\")","ref":"Auth0Ex.Management.Client.html#all/1"},{"type":"function","title":"Auth0Ex.Management.Client.create/1","doc":"Creates a new Auth0 client from given body\n\n    iex> Auth0Ex.Management.Client.create(%{name: \"Samars App\"})","ref":"Auth0Ex.Management.Client.html#create/1"},{"type":"function","title":"Auth0Ex.Management.Client.delete/1","doc":"Deletes the client with given client id\n\n    iex> Auth0Ex.Management.Client.delete(\"some_client_id\")","ref":"Auth0Ex.Management.Client.html#delete/1"},{"type":"function","title":"Auth0Ex.Management.Client.get/1","doc":"Gets the information for individual client\n\n    iex> Auth0Ex.Management.Client.get(\"some_id\")\n    iex> Auth0Ex.Management.Client.get(\"some_id\", [fields: \"id,client_id\", include_fields: true])","ref":"Auth0Ex.Management.Client.html#get/1"},{"type":"function","title":"Auth0Ex.Management.Client.get/2","doc":"","ref":"Auth0Ex.Management.Client.html#get/2"},{"type":"function","title":"Auth0Ex.Management.Client.rotate_secret/1","doc":"Rotate a client secret for client with given ID\n\n    iex> Auth0Ex.Management.Client.rotate_secret(\"some_client_id\")","ref":"Auth0Ex.Management.Client.html#rotate_secret/1"},{"type":"function","title":"Auth0Ex.Management.Client.update/2","doc":"Updates Auth0 client of given ID with given body\n\n    iex> Auth0Ex.Management.Client.update(\"some_client_id\", %{name: \"New Client Name\"})","ref":"Auth0Ex.Management.Client.html#update/2"},{"type":"module","title":"Auth0Ex.Management.ClientGrant","doc":"A module representing client_grant resource","ref":"Auth0Ex.Management.ClientGrant.html"},{"type":"function","title":"Auth0Ex.Management.ClientGrant.all/1","doc":"Gets all the client grants\n\n    iex> Auth0Ex.Management.ClientGrant.all()\n    iex> Auth0Ex.Management.ClientGrant.all(audience: \"aud\")","ref":"Auth0Ex.Management.ClientGrant.html#all/1"},{"type":"function","title":"Auth0Ex.Management.ClientGrant.create/1","doc":"Creates a client grant\n\n    iex> Auth0Ex.Management.ClientGrant.create(%{client_id: \"client_id\", audience: \"someaud\", scope: []})","ref":"Auth0Ex.Management.ClientGrant.html#create/1"},{"type":"function","title":"Auth0Ex.Management.ClientGrant.delete/1","doc":"Delete a client grant\n\n    iex> Auth0Ex.Management.ClientGrant.delete(\"client_grant_to_delete\")","ref":"Auth0Ex.Management.ClientGrant.html#delete/1"},{"type":"function","title":"Auth0Ex.Management.ClientGrant.update/2","doc":"Updates a client grant\n\n    iex> Auth0Ex.Management.ClientGrant.update(\"client_grant_to_update\", %{scope: []})","ref":"Auth0Ex.Management.ClientGrant.html#update/2"},{"type":"module","title":"Auth0Ex.Management.Connection","doc":"A module representing connection resource","ref":"Auth0Ex.Management.Connection.html"},{"type":"function","title":"Auth0Ex.Management.Connection.all/1","doc":"Gets all the connections\n\n    iex> Auth0Ex.Management.Connection.all()\n    iex> Auth0Ex.Management.Connection.all(%{name: \"some_name\"})","ref":"Auth0Ex.Management.Connection.html#all/1"},{"type":"function","title":"Auth0Ex.Management.Connection.create/1","doc":"Creates a new connection\n\n    iex> Auth0Ex.Management.Connection.create(%{name: \"some_name\", strategy: \"email\"})","ref":"Auth0Ex.Management.Connection.html#create/1"},{"type":"function","title":"Auth0Ex.Management.Connection.delete/1","doc":"Delete a connection\n\n    iex> Auth0Ex.Management.Connection.delete(\"some_conn_id\")","ref":"Auth0Ex.Management.Connection.html#delete/1"},{"type":"function","title":"Auth0Ex.Management.Connection.delete_conn_user/2","doc":"Delete a specified connection user by its email\n\n    iex> Auth0Ex.Management.Connection.delete_conn_user(\"some_conn_id\", \"samar@example.com\")","ref":"Auth0Ex.Management.Connection.html#delete_conn_user/2"},{"type":"function","title":"Auth0Ex.Management.Connection.get/1","doc":"Get a connection\n\n    iex> Auth0Ex.Management.Connection.get(\"some_conn_id\")\n    iex> Auth0Ex.Management.Connection.get(\"some_conn_id\", [fields: \"id,name\"])","ref":"Auth0Ex.Management.Connection.html#get/1"},{"type":"function","title":"Auth0Ex.Management.Connection.get/2","doc":"","ref":"Auth0Ex.Management.Connection.html#get/2"},{"type":"function","title":"Auth0Ex.Management.Connection.update/2","doc":"Update a connection\n\n    iex> Auth0Ex.Management.Connection.update(\"some_conn_id\", %{name: \"new name\"})","ref":"Auth0Ex.Management.Connection.html#update/2"},{"type":"module","title":"Auth0Ex.Management.DeviceCredential","doc":"A module representing device credential resource on Auth0","ref":"Auth0Ex.Management.DeviceCredential.html"},{"type":"function","title":"Auth0Ex.Management.DeviceCredential.all/1","doc":"Gets all the device credentials\n\n    iex> Auth0Ex.Management.DeviceCredential.all()\n    iex> Auth0Ex.Management.DeviceCredential.all(fields: \"id,device_name\")","ref":"Auth0Ex.Management.DeviceCredential.html#all/1"},{"type":"function","title":"Auth0Ex.Management.DeviceCredential.create/1","doc":"Creates a device public key\n\n    iex> Auth0Ex.Management.DeviceCredential.create(%{device_name: \"adev\"})","ref":"Auth0Ex.Management.DeviceCredential.html#create/1"},{"type":"function","title":"Auth0Ex.Management.DeviceCredential.delete/1","doc":"Deletes a device credential\n\n    iex> Auth0Ex.Management.DeviceCredential.delete(\"device_credential\")","ref":"Auth0Ex.Management.DeviceCredential.html#delete/1"},{"type":"module","title":"Auth0Ex.Management.EmailProvider","doc":"A module representing emails resource on Auth0","ref":"Auth0Ex.Management.EmailProvider.html"},{"type":"function","title":"Auth0Ex.Management.EmailProvider.configure/1","doc":"Configures the email provider\n\n    iex> Auth0Ex.Management.EmailProvider.configure(name: \"mandrill\", enabled: true)","ref":"Auth0Ex.Management.EmailProvider.html#configure/1"},{"type":"function","title":"Auth0Ex.Management.EmailProvider.delete/0","doc":"Deletes the email provider\n\n    iex> Auth0Ex.Management.EmailProvider.delete()","ref":"Auth0Ex.Management.EmailProvider.html#delete/0"},{"type":"function","title":"Auth0Ex.Management.EmailProvider.get/1","doc":"Gets the email provider\n\n    iex> Auth0Ex.Management.EmailProvider.get()\n    iex> Auth0Ex.Management.EmailProvider.get(fields: \"name,enabled\")","ref":"Auth0Ex.Management.EmailProvider.html#get/1"},{"type":"function","title":"Auth0Ex.Management.EmailProvider.update/1","doc":"Updates the email provider\n\n    iex> Auth0Ex.Management.EmailProvider.update(name: \"new_name\")","ref":"Auth0Ex.Management.EmailProvider.html#update/1"},{"type":"module","title":"Auth0Ex.Management.Job","doc":"A module representing jobs on Auth0","ref":"Auth0Ex.Management.Job.html"},{"type":"function","title":"Auth0Ex.Management.Job.send_verification_email/1","doc":"Sends a verification email for the given user\n\n    iex> Auth0Ex.Management.Job.send_verification_email(%{user_id: \"test_user_id, client_id: \"test_client_id\"})","ref":"Auth0Ex.Management.Job.html#send_verification_email/1"},{"type":"module","title":"Auth0Ex.Management.Log","doc":"A module represeting log resource on Auth0","ref":"Auth0Ex.Management.Log.html"},{"type":"function","title":"Auth0Ex.Management.Log.get/1","doc":"Get a log event by id","ref":"Auth0Ex.Management.Log.html#get/1"},{"type":"function","title":"Auth0Ex.Management.Log.search/1","doc":"Retrieve the log entries that match the specified criteria\n\n    iex> Auth0Ex.Management.Log.search(page: 1, fields: \"user_name\")","ref":"Auth0Ex.Management.Log.html#search/1"},{"type":"module","title":"Auth0Ex.Management.ResourceServer","doc":"A module representing resource servers resource on Auth0","ref":"Auth0Ex.Management.ResourceServer.html"},{"type":"function","title":"Auth0Ex.Management.ResourceServer.all/0","doc":"Gets all the resource servers\n\n    iex> Auth0Ex.Management.ResourceServer.all","ref":"Auth0Ex.Management.ResourceServer.html#all/0"},{"type":"function","title":"Auth0Ex.Management.ResourceServer.create/1","doc":"Creates a resource server\n\n    iex> Auth0Ex.Management.ResourceServer.create(%{name: \"resserver\"})","ref":"Auth0Ex.Management.ResourceServer.html#create/1"},{"type":"function","title":"Auth0Ex.Management.ResourceServer.delete/1","doc":"Deletes a resource server\n\n    iex> Auth0Ex.Management.ResourceServer.delete(\"resserver\")","ref":"Auth0Ex.Management.ResourceServer.html#delete/1"},{"type":"function","title":"Auth0Ex.Management.ResourceServer.get/1","doc":"Gets a resource server by ID\n\n    iex> Auth0Ex.Management.ResourceServer.get(\"resserver\")","ref":"Auth0Ex.Management.ResourceServer.html#get/1"},{"type":"function","title":"Auth0Ex.Management.ResourceServer.update/2","doc":"Updates a resource server","ref":"Auth0Ex.Management.ResourceServer.html#update/2"},{"type":"module","title":"Auth0Ex.Management.Rule","doc":"A module representing rule on Auth0","ref":"Auth0Ex.Management.Rule.html"},{"type":"function","title":"Auth0Ex.Management.Rule.all/1","doc":"Get all rules\n\n    iex> Auth0Ex.Management.Rule.all()\n    iex> Auth0Ex.Management.Rule.all(enabled: true, fields: \"id,name\")","ref":"Auth0Ex.Management.Rule.html#all/1"},{"type":"function","title":"Auth0Ex.Management.Rule.create/1","doc":"Create a rule\n\n\n    iex> Auth0Ex.Management.Rule.create(%{name: \"some_rule\", script: \"some_script_code\"})","ref":"Auth0Ex.Management.Rule.html#create/1"},{"type":"function","title":"Auth0Ex.Management.Rule.delete/1","doc":"Deletes a rule\n\n    iex> Auth0Ex.Management.Rule.delete(\"some_rule\")","ref":"Auth0Ex.Management.Rule.html#delete/1"},{"type":"function","title":"Auth0Ex.Management.Rule.get/1","doc":"Get a rule\n\n    iex> Auth0Ex.Management.Rule.get(\"some_rule\")\n    iex> Auth0Ex.Management.Rule.get(\"some_rule\", fields: \"id,name\")","ref":"Auth0Ex.Management.Rule.html#get/1"},{"type":"function","title":"Auth0Ex.Management.Rule.get/2","doc":"","ref":"Auth0Ex.Management.Rule.html#get/2"},{"type":"function","title":"Auth0Ex.Management.Rule.update/2","doc":"Update a rule\n\n    iex> Auth0Ex.Management.Rule.update(\"some_rule\", name: \"new_name\")","ref":"Auth0Ex.Management.Rule.html#update/2"},{"type":"module","title":"Auth0Ex.Management.Ticket","doc":"A module representing tickets on Auth0","ref":"Auth0Ex.Management.Ticket.html"},{"type":"function","title":"Auth0Ex.Management.Ticket.email_verification/2","doc":"Create an email verification ticket\n\n    iex> Auth0Ex.Management.Ticket.email_verification(\"auth0|user_id\", %{result_url: \"http://myapp.com/callback\", ttl_sec: 0})","ref":"Auth0Ex.Management.Ticket.html#email_verification/2"},{"type":"function","title":"Auth0Ex.Management.Ticket.password_change/1","doc":"Create a password change ticket\n\n    iex> Auth0Ex.Management.Ticket.password_change(%{result_url: \"http://myapp.com/callback\"})","ref":"Auth0Ex.Management.Ticket.html#password_change/1"},{"type":"module","title":"Auth0Ex.Management.User","doc":"A module representing users on Auth0","ref":"Auth0Ex.Management.User.html"},{"type":"function","title":"Auth0Ex.Management.User.all/1","doc":"Gets all the users\n\n    iex> Auth0Ex.Management.User.all()\n    iex> Auth0Ex.Management.User.all(fields: \"name\", q: \"app_metadata.admin:'true'\")","ref":"Auth0Ex.Management.User.html#all/1"},{"type":"function","title":"Auth0Ex.Management.User.create/2","doc":"Creates a user for the specified connection\n\n    iex> Auth0Ex.Management.User.create(\"test_connection\", %{email: \"test.user@email.com\", username: \"test_user_name\"})","ref":"Auth0Ex.Management.User.html#create/2"},{"type":"function","title":"Auth0Ex.Management.User.delete/1","doc":"Deletes a user with a give user id\n\n    iex> Auth0Ex.Management.User.delete(\"auth0|some_user_id\")","ref":"Auth0Ex.Management.User.html#delete/1"},{"type":"function","title":"Auth0Ex.Management.User.delete_authentication_methods/1","doc":"Deletes all users MFA authentication methods. Scopes: delete:authentication_methods\n\n    iex > Auth0Ex.Management.User.delete_authentication_methods(\"auth0|23423\")","ref":"Auth0Ex.Management.User.html#delete_authentication_methods/1"},{"type":"function","title":"Auth0Ex.Management.User.delete_mfprovider/2","doc":"Deletes a user's multifactor provider\n\n    iex> Auth0Ex.Management.User.delete_mfprovider(\"auth0|23423\", \"duo\")","ref":"Auth0Ex.Management.User.html#delete_mfprovider/2"},{"type":"function","title":"Auth0Ex.Management.User.enrollments/1","doc":"Get all Guardain enrollments for given user_id\n\n    iex> Auth0Ex.Management.User.enrollments(\"auth0|234\")","ref":"Auth0Ex.Management.User.html#enrollments/1"},{"type":"function","title":"Auth0Ex.Management.User.get/2","doc":"Gets a specific user record with a given user id\n\n    iex> Auth0Ex.Management.User.get(\"auth0|some_user_id\")\n    iex> Auth0Ex.Management.User.get(\"auth0|some_user_id\", %{fields: \"email,name,username\"})","ref":"Auth0Ex.Management.User.html#get/2"},{"type":"function","title":"Auth0Ex.Management.User.link/2","doc":"Links the account specified in the body to the given user_id param\n\n    iex> Auth0Ex.Management.User.link(\"some_user_id\", link_with: \"secondary_acc_jwt\")\n    iex> Auth0Ex.Management.User.link(\"some_user_id\", provider: \"github\", user_id: \"23423\", connection_id: \"som\")","ref":"Auth0Ex.Management.User.html#link/2"},{"type":"function","title":"Auth0Ex.Management.User.log/2","doc":"Get a user's log\n\n    iex> Auth0Ex.Management.User.log(\"auth0|233423\")\n    iex> Auth0Ex.Management.User.log(\"auth0|23423\", page: 2, per_page: 10)","ref":"Auth0Ex.Management.User.html#log/2"},{"type":"function","title":"Auth0Ex.Management.User.regenerate_recovery_code/1","doc":"Removes current Guardain recovery code and generates new one\n\n    iex> Auth0Ex.Management.User.regenerate_recovery_code(\"auth0|34234\")","ref":"Auth0Ex.Management.User.html#regenerate_recovery_code/1"},{"type":"function","title":"Auth0Ex.Management.User.roles/2","doc":"List the roles associated with a user. Scopes: read:users read:roles\n\n    iex > Auth0Ex.Management.User.roles(\"auth0|23423\")","ref":"Auth0Ex.Management.User.html#roles/2"},{"type":"function","title":"Auth0Ex.Management.User.unlink/3","doc":"Unlinks an identity from the target user, and it becomes a separated user again.\n\n    iex> Auth0Ex.Management.User.unlink(\"some_user_id\", \"github\", \"23984234\")","ref":"Auth0Ex.Management.User.html#unlink/3"},{"type":"function","title":"Auth0Ex.Management.User.update/2","doc":"Updates a user's information given a user id\n\n    iex> Auth0Ex.Management.User.update(\"auth0|some_user_id\", %{app_metadata: %{admin: false}})","ref":"Auth0Ex.Management.User.html#update/2"},{"type":"module","title":"Auth0Ex.Management.UserBlock","doc":"A module representing user blocks resource on Auth0","ref":"Auth0Ex.Management.UserBlock.html"},{"type":"function","title":"Auth0Ex.Management.UserBlock.get/1","doc":"Gets all user blocks for given identifier.\nIdentifier should be any of: username, phone_number, email\n\n    iex> Auth0Ex.Management.UserBlock.get(\"some@example.com\")","ref":"Auth0Ex.Management.UserBlock.html#get/1"},{"type":"function","title":"Auth0Ex.Management.UserBlock.get_user_block/1","doc":"Get a user's block\n\n    iex> Auth0Ex.Management.UserBlock.get_user_block(\"auth0|234234\")","ref":"Auth0Ex.Management.UserBlock.html#get_user_block/1"},{"type":"function","title":"Auth0Ex.Management.UserBlock.unblock/1","doc":"Unblock a block by identifier\n\n    iex> Auth0Ex.Management.UserBlock.unblock(\"some@example.com\")","ref":"Auth0Ex.Management.UserBlock.html#unblock/1"},{"type":"function","title":"Auth0Ex.Management.UserBlock.unblock_user/1","doc":"Unblock a user\n\n    iex> Auth0Ex.Management.UserBlock.unblock_user(\"auth0|2342\")","ref":"Auth0Ex.Management.UserBlock.html#unblock_user/1"},{"type":"module","title":"Auth0Ex.Parser","doc":"Parser to parse all the responses from Auth0 API endpoints","ref":"Auth0Ex.Parser.html"},{"type":"function","title":"Auth0Ex.Parser.parse/1","doc":"Parses the response from auth0 api calls","ref":"Auth0Ex.Parser.html#parse/1"},{"type":"type","title":"Auth0Ex.Parser.response/0","doc":"","ref":"Auth0Ex.Parser.html#t:response/0"},{"type":"type","title":"Auth0Ex.Parser.status_code/0","doc":"","ref":"Auth0Ex.Parser.html#t:status_code/0"},{"type":"module","title":"Auth0Ex.TokenState","doc":"A simple Agent implementation to store the management token\nand potentially other stuff in future for management API","ref":"Auth0Ex.TokenState.html"},{"type":"function","title":"Auth0Ex.TokenState.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Auth0Ex.TokenState.html#child_spec/1"},{"type":"module","title":"Auth0Ex.Utils","doc":"Collection module of various utils needed for Auth0Ex","ref":"Auth0Ex.Utils.html"},{"type":"function","title":"Auth0Ex.Utils.base_url/0","doc":"","ref":"Auth0Ex.Utils.html#base_url/0"},{"type":"function","title":"Auth0Ex.Utils.base_url/1","doc":"","ref":"Auth0Ex.Utils.html#base_url/1"},{"type":"function","title":"Auth0Ex.Utils.http_opts/0","doc":"","ref":"Auth0Ex.Utils.html#http_opts/0"},{"type":"function","title":"Auth0Ex.Utils.mgmt_token/0","doc":"","ref":"Auth0Ex.Utils.html#mgmt_token/0"},{"type":"function","title":"Auth0Ex.Utils.oauth_url/0","doc":"","ref":"Auth0Ex.Utils.html#oauth_url/0"},{"type":"function","title":"Auth0Ex.Utils.req_header/0","doc":"","ref":"Auth0Ex.Utils.html#req_header/0"},{"type":"function","title":"Auth0Ex.Utils.req_header/1","doc":"","ref":"Auth0Ex.Utils.html#req_header/1"},{"type":"function","title":"Auth0Ex.Utils.ua/0","doc":"","ref":"Auth0Ex.Utils.html#ua/0"},{"type":"extras","title":"Auth0Ex","doc":"# Auth0Ex\n\n[![Hex version](https://img.shields.io/hexpm/v/auth0_ex.svg \"Hex version\")](https://hex.pm/packages/auth0_ex) ![Hex downloads](https://img.shields.io/hexpm/dt/auth0_ex.svg \"Hex downloads\") ![Build Status](https://github.com/techgaun/auth0_ex/actions/workflows/main.yml/badge.svg)\n\n> An elixir client library for Auth0","ref":"readme.html"},{"type":"extras","title":"Installation - Auth0Ex","doc":"You can install the stable version from hex:\n\n```elixir\ndef deps do\n[{:auth0_ex, \"~> 0.9\"}]\nend\n```\n\nYou can use github repo as your package source to use the latest source code but beware it might have breaking and unstable code:\n\n```elixir\ndef deps do\n  [{:auth0_ex, github: \"techgaun/auth0_ex\"}]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Auth0Ex","doc":"Add a configuration block like below:\n\n- First option is to use management api client.\n\nYou can create non-interactive client for management api as described [HERE](https://auth0.com/docs/api/management/v2/tokens).\nOnce you do that, you should be able to grab client ID and client secret from the setting page for use with Auth0Ex.\nThis is a recommended setup as Auth0Ex can recreate new `access_token` when the current one expires.\n\n```elixir\nconfig :auth0_ex,\n  domain: System.get_env(\"AUTH0_DOMAIN\"),\n  mgmt_client_id: System.get_env(\"AUTH0_MGMT_CLIENT_ID\"),\n  mgmt_client_secret: System.get_env(\"AUTH0_MGMT_CLIENT_SECRET\"),\n  http_opts: []\n```\n\n- Second option is to use pre-created token with access to management API.\n\n```elixir\nconfig :auth0_ex,\n  domain: System.get_env(\"AUTH0_DOMAIN\"),\n  mgmt_token: System.get_env(\"AUTH0_MGMT_TOKEN\"),\n  http_opts: []\n```\n\n#","ref":"readme.html#configuration"},{"type":"extras","title":"Notes - Auth0Ex","doc":"- The v2 `search_engine` API is being deprecated by Auth0. User queries now specify `search_engine=v3` by default. If for some reason you need the `v2` engine you can set `v2_search: true` in your config block.\n- if you use pre-created management token, it will always be used for your requests.\n- `AUTH0_DOMAIN` should be entire tenant domain Auth0 provides. We fall back to adding `auth0.com` right now but that will be removed in future version. This allows us to use `Auth0Ex` in all tenant regions unlike the previous versions.\n- If you don't want `auth0.com` to be added, you can set `config :auth0_ex, custom_domain: true`\n\nExport appropriate environment variable and you should be all set.\n\nPlease refer to the [documentation](https://hexdocs.pm/auth0_ex/) for more details.\n\n#","ref":"readme.html#notes"},{"type":"extras","title":"Authentication API - Auth0Ex","doc":"In addition to the management API resources, there is also a support for most used authentication APIs.\nAuthentication API will use the same `domain` config you specify in the config above. If you wish to use `Auth0Ex`\nfor authentication APIs only, all you need to specify is `domain` in config.","ref":"readme.html#authentication-api"},{"type":"extras","title":"Author - Auth0Ex","doc":"- [techgaun](https://github.com/techgaun)","ref":"readme.html#author"}],"content_type":"text/markdown"}